Error on install syllius in WSL2

Hello,

I have successive errors during installation on a WSL2 Ubuntu Php4 environment.
Any ideas ?

composer create-project sylius/sylius-standard monprojet

[LogicException]
No lockfile found. Unable to read locked packages

cd monprojet
bin/console sylius:install

Fatal error: require(): Failed opening required '/monprojet/vendor/autoload.php' (include_path='.:/usr/local/lib/php') in /monprojet/bin/console on line 11

composer upgrade

[RuntimeException]
 /myprojet/vendor/phpstan/phpstan does not exist and could not be created.

Luc

Did you really mean PHP 4?